# Interface methods for submodule: FastMarchingThresholdStoppingCriterion
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FastMarchingStoppingCriterionBaseProxy as _FastMarchingStoppingCriterionBaseProxy


# Interface methods for class: FastMarchingThresholdStoppingCriterion
class FastMarchingThresholdStoppingCriterionProxy(_FastMarchingStoppingCriterionBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetThreshold(self) -> float:
		""""""
		...

	def IsSatisfied(self) -> bool:
		""""""
		...

	def GetDescription(self) -> str:
		""""""
		...

